SUSE: 2022:3637-1 moderate: caasp-release, cri-o, patchinfo, releas...

   SUSE Security Update: Security update for caasp-release, cri-o, patchinfo, release-notes-caasp, skuba
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:3637-1
Rating:             moderate
References:         #1200285 
Cross-References:   CVE-2022-1708
CVSS scores:
                    CVE-2022-1708 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2022-1708 (SUSE): 6.8 CVSS:3.1/AV:N/AC:L/PR:L/UI:R/S:C/C:N/I:N/A:H

Affected Products:
                    SUSE CaaS Platform 4.0
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for caasp-release, cri-o, patchinfo, release-notes-caasp,
   skuba fixes the following issues:

   - Maintenance update to version 4.2.9

   - Use golang(API) = 1.17

   - Updated to cri-o v1.19.7:
     * includes the fix for CVE-2022-1708 (bsc#1200285)

   - Update to release v4.2.9

   - Update to v1.4.16:
     * c6485e38 Prevent skuba to compile against go 1.18
     * 5e128280 Update cri-o to v1.19.7 (bsc#1200285)


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE CaaS Platform 4.0:

      To install this update, use the SUSE CaaS Platform 'skuba' tool. It
      will inform you if it detects new updates and let you then trigger
      updating of the complete cluster in a controlled way.



Package List:

   - SUSE CaaS Platform 4.0 (noarch):

      release-notes-caasp-4.2.20220921-150100.4.80.1
      skuba-update-1.4.16-150100.3.65.1

   - SUSE CaaS Platform 4.0 (x86_64):

      caasp-release-4.2.9-150100.24.52.1
      cri-o-1.19.7-150100.3.50.1
      cri-o-kubeadm-criconfig-1.19.7-150100.3.50.1
      skuba-1.4.16-150100.3.65.1


References:

   https://www.suse.com/security/cve/CVE-2022-1708.html
   https://bugzilla.suse.com/1200285

SUSE: 2022:3637-1 moderate: caasp-release, cri-o, patchinfo, release-notes-caasp, skuba

October 18, 2022
An update that fixes one vulnerability is now available

Summary

This update for caasp-release, cri-o, patchinfo, release-notes-caasp, skuba fixes the following issues: - Maintenance update to version 4.2.9 - Use golang(API) = 1.17 - Updated to cri-o v1.19.7: * includes the fix for CVE-2022-1708 (bsc#1200285) - Update to release v4.2.9 - Update to v1.4.16: * c6485e38 Prevent skuba to compile against go 1.18 * 5e128280 Update cri-o to v1.19.7 (bsc#1200285) Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE CaaS Platform 4.0: To install this update, use the SUSE CaaS Platform 'skuba' tool. It will inform you if it detects new updates and let you then trigger updating of the complete cluster in a controlled way. Package List: - SUSE CaaS Platform 4.0 (noarch): release-notes-caasp-4.2.20220921-150100.4.80.1 skuba-update-1.4.16-150100.3.65.1 - SUSE CaaS Platform 4.0 (x86_64): caasp-release-4.2.9-150100.24.52.1 cri-o-1.19.7-150100.3.50.1 cri-o-kubeadm-criconfig-1.19.7-150100.3.50.1 skuba-1.4.16-150100.3.65.1

References

#1200285

Cross- CVE-2022-1708

CVSS scores:

CVE-2022-1708 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

CVE-2022-1708 (SUSE): 6.8 CVSS:3.1/AV:N/AC:L/PR:L/UI:R/S:C/C:N/I:N/A:H

Affected Products:

SUSE CaaS Platform 4.0

https://www.suse.com/security/cve/CVE-2022-1708.html

https://bugzilla.suse.com/1200285

Severity
Announcement ID: SUSE-SU-2022:3637-1
Rating: moderate

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.